## pajladasignals 0.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7...4.0)

list(APPEND CMAKE_MESSAGE_CONTEXT PajladaSignals)
project(
    PajladaSignals
    VERSION 0.1.0
    DESCRIPTION "pajlada signals library"
    HOMEPAGE_URL https://github.com/pajlada/signals
    LANGUAGES CXX
)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include(FeatureSummary)

option(PAJLADA_SIGNALS_BUILD_TESTS "Build tests" OFF)
add_feature_info("pajlada-signals tests" PAJLADA_SIGNALS_BUILD_TESTS "")

add_library(PajladaSignals INTERFACE)
add_library(Pajlada::Signals ALIAS PajladaSignals)

target_include_directories(PajladaSignals INTERFACE include)

if(PAJLADA_SIGNALS_BUILD_TESTS)
    enable_testing()
    add_subdirectory(tests)
endif()

feature_summary(WHAT ALL)

=== debian/changelog ===
pajladasignals (0.1.0-1) unstable; urgency=low

  * Initial release. Closes: #1120922

 -- Chow Yoong Jin <solomoncyj@gmail.com>  Tue, 18 Nov 2025 10:45:09 +0000

=== debian/control ===
Source: pajladasignals
Section: libs
Priority: optional
Maintainer: Chow Yoong Jin <solomoncyj@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
Standards-Version: 4.7.0
Homepage: https://github.com/pajlada/serialize
Rules-Requires-Root: no
#Vcs-Git: https://salsa.debian.org/debian/pajladasignals.git
#Vcs-Browser: https://salsa.debian.org/debian/pajladasignals

Package: pajladasignals-dev
Architecture: all
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: simple C++ signal library
 This library provides signal & connection types.
 Create a Signal. Create a Connection with a lambda from the Signal.
 Invoke the signal with optional parameters
 and the Connection's lambda will fire.

=== debian/rules ===
#!/usr/bin/make -f
# You must remove unused comment lines for the released package.
#export DH_VERBOSE = 1
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1


%:
	dh $@

#override_dh_auto_configure:
#	dh_auto_configure -- \
#	      -DCMAKE_LIBRARY_ARCHITECTURE="$(DEB_TARGET_MULTIARCH)"

=== debian/watch ===
version=4
https://github.com/pajlada/signals/tags .*/v?(\d.*)@ARCHIVE_EXT@
